Debian Bug report logs - #672804
[cupt] update not working

version graph

Package: cupt; Maintainer for cupt is Cupt developers <cupt-devel@lists.alioth.debian.org>; Source for cupt is src:cupt.

Reported by: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>

Date: Sun, 13 May 2012 19:33:02 UTC

Severity: wishlist

Found in version cupt/2.5.3

Fixed in version cupt/2.5.4

Done: jackyf@debian.org (Eugene V. Lyubimkin)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#672804; Package cupt. (Sun, 13 May 2012 19:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
New Bug report received and forwarded. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Sun, 13 May 2012 19:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: submit@bugs.debian.org
Subject: [cupt] update not working
Date: Sun, 13 May 2012 20:29:04 +0100
Package: cupt
Version: 2.5.3
Severity: normal

--- Please enter the report below this line. ---

It's the first time that I try to use cupt, and it doesn't seem to be
working at all in my system.  Any hint?

# cupt update
Get:1 http://ftp.uk.debian.org/debian unstable Release
Fail:1 no download handlers available (uri
'http://ftp.uk.debian.org/debian/dists/unstable/Release')
Fetched 0B in 0s.
E: there were errors while downloading release and index data
E: error performing the command 'update'


--- System information. ---
Architecture: amd64
Kernel:       Linux 3.2.0-2-amd64

Debian Release: wheezy/sid
  500 unstable        ftp.uk.debian.org

--- Package information. ---
Depends                                (Version) | Installed
================================================-+-==============
libboost-program-options1.49.0     (>= 1.49.0-1) | 1.49.0-3
libc6                                 (>= 2.2.5) | 2.13-32
libcupt2-0                            (>= 2.5.3) | 2.5.3
libgcc1                             (>= 1:4.1.1) | 1:4.7.0-8
libstdc++6                              (>= 4.6) | 4.7.0-8


Package's Recommends field is empty.

Suggests            (Version) | Installed
=============================-+-===========
sensible-utils                | 0.0.6
libreadline6                  | 6.2-8




Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#672804; Package cupt. (Sun, 13 May 2012 19:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Sun, 13 May 2012 19:39:04 GMT) Full text and rfc822 format available.

Message #10 received at 672804@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
Cc: 672804@bugs.debian.org
Subject: Re: cupt update fails when no download manager is present
Date: Sun, 13 May 2012 14:38:04 -0500
Hi Manuel,

Manuel A. Fernandez Montecelo wrote:

> It's the first time that I try to use cupt, and it doesn't seem to be
> working at all in my system.  Any hint?
>
> # cupt update
> Get:1 http://ftp.uk.debian.org/debian unstable Release
> Fail:1 no download handlers available

libcupt2-0 declares that it Recommends

	libcupt2-0-downloadmethod-curl | libcupt2-0-downloadmethod-wget

Presumably this is not a Depends because it is also possible to write
your own download handler.  Eugene, do you think it would make sense
to have a libcupt2-0-downloadmethod virtual package so this could say

	Depends: libcupt2-0-downloadmethod-curl | libcupt2-0-downloadmethod

?

Thanks for writing,
Jonathan




Reply sent to "Eugene V. Lyubimkin" <jackyf@debian.org>:
You have taken responsibility. (Mon, 14 May 2012 06:48:10 GMT) Full text and rfc822 format available.

Notification sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Bug acknowledged by developer. (Mon, 14 May 2012 06:48:10 GMT) Full text and rfc822 format available.

Message #15 received at 672804-done@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>, 672804-done@bugs.debian.org
Subject: Re: [Cupt-devel] Bug#672804: cupt update fails when no download manager is present
Date: Mon, 14 May 2012 09:46:15 +0300
Hello Manuel, Jonathan,

On 2012-05-13 14:38, Jonathan Nieder wrote:
> > It's the first time that I try to use cupt, and it doesn't seem to be
> > working at all in my system.  Any hint?
> >
> > # cupt update
> > Get:1 http://ftp.uk.debian.org/debian unstable Release
> > Fail:1 no download handlers available
> 
> libcupt2-0 declares that it Recommends
> 
> 	libcupt2-0-downloadmethod-curl | libcupt2-0-downloadmethod-wget
> 

This. Manuel, you probably switched installing Recommends off which is
not a good idea since Recommends is for "all but unusual installations".
So, install the 'libcupt2-0-downloadmethod-curl' package, which should
have been installed by default.


> Presumably this is not a Depends because it is also possible to write
> your own download handler.  Eugene, do you think it would make sense
> to have a libcupt2-0-downloadmethod virtual package so this could say
> 
> 	Depends: libcupt2-0-downloadmethod-curl | libcupt2-0-downloadmethod

These are put to Recommends by intent, because:
1) there are file:// and copy:// built-ins;
2) one can, as you just said, write a custom download method;
3) finally, on some embedded system you can in theory install download
   methods, download some unchangeable suite's cache, remove Cupt download
   methods (along with wget/libcurl) and they play with repository analysis
   and simulations.

-- 
Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
C++/Perl developer, Debian Developer




Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#672804; Package cupt. (Mon, 14 May 2012 06:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 06:57:06 GMT) Full text and rfc822 format available.

Message #20 received at 672804@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
Cc: 672804@bugs.debian.org
Subject: Re: cupt update fails when no download manager is present
Date: Mon, 14 May 2012 01:55:10 -0500
Eugene V. Lyubimkin wrote:
> On 2012-05-13 14:38, Jonathan Nieder wrote:

>> 	Depends: libcupt2-0-downloadmethod-curl | libcupt2-0-downloadmethod
>
> These are put to Recommends by intent, because:
> 1) there are file:// and copy:// built-ins;

Yeah, good point. :)

The tweak below would have made it harder to forget.

Thanks for explaining,
Jonathan

 cpp/lib/src/download/methodfactory.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git i/cpp/lib/src/download/methodfactory.cpp w/cpp/lib/src/download/methodfactory.cpp
index 961a8999..e3e09e2f 100644
--- i/cpp/lib/src/download/methodfactory.cpp
+++ w/cpp/lib/src/download/methodfactory.cpp
@@ -170,7 +170,7 @@ download::Method* MethodFactoryImpl::getDownloadMethodForUri(const download::Uri
 		return (methodBuilderIt->second)();
 	}
 
-	fatal2(__("no download handlers available"));
+	fatal2(__("no download handlers available for the protocol '%s'"), protocol);
 	return NULL; // unreachable
 }
 




Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#672804; Package cupt. (Mon, 14 May 2012 16:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf@debian.org>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 16:57:05 GMT) Full text and rfc822 format available.

Message #25 received at 672804@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 672804@bugs.debian.org
Subject: Re: [Cupt-devel] Bug#672804: cupt update fails when no download manager is present
Date: Mon, 14 May 2012 19:54:30 +0300
Hi,

On 2012-05-14 01:55, Jonathan Nieder wrote:
> The tweak below would have made it harder to forget.

Applied for 2.5.4, thanks.

-- 
Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
C++/Perl developer, Debian Developer




Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#672804; Package cupt. (Mon, 14 May 2012 22:51:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 22:51:14 GMT) Full text and rfc822 format available.

Message #30 received at 672804@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>, jackyf@debian.org, 672804@bugs.debian.org
Subject: Re: [Cupt-devel] Bug#672804: cupt update fails when no download manager is present
Date: Mon, 14 May 2012 23:49:20 +0100
Hello,

2012/5/14 Eugene V. Lyubimkin <jackyf@debian.org>:
> This. Manuel, you probably switched installing Recommends off which is
> not a good idea since Recommends is for "all but unusual installations".
> So, install the 'libcupt2-0-downloadmethod-curl' package, which should
> have been installed by default.

OK, thanks for the fix.

> 2) one can, as you just said, write a custom download method;
> 3) finally, on some embedded system you can in theory install download
>   methods, download some unchangeable suite's cache, remove Cupt download
>   methods (along with wget/libcurl) and they play with repository analysis
>   and simulations.

Apart from acknowledging that it's my fault, I've been using all of my
systems with Recommends off by default for many years, without major
hiccups.

I honestly don't think that the number of people switching it off is
less than the ones writing downloading methods by hand... not even for
cupt, but for any other packaging tool in Debian.

And I guess that you can use "provides"/virtual packages for the case
that you mention.  If somebody is going to the trouble of writing such
a method, creating a virtual package is a minor issue.

Cheers.




Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#672804; Package cupt. (Mon, 14 May 2012 23:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 23:09:05 GMT) Full text and rfc822 format available.

Message #35 received at 672804@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
Cc: jackyf@debian.org, 672804@bugs.debian.org
Subject: Re: cupt update fails when no download manager is present
Date: Mon, 14 May 2012 18:07:37 -0500
Hi,

Manuel A. Fernandez Montecelo wrote:

> And I guess that you can use "provides"/virtual packages for the case
> that you mention.  If somebody is going to the trouble of writing such
> a method, creating a virtual package is a minor issue.

Maybe the package description should mention that you might want a
download method if planning to use cupt with a sources.list using
protocols other than file:// and copy://.

The relevant package is libcupt2-0, and I don't think many people read
its package description, but that information could go in the cupt
description anyway.  How about this?

 debian/changelog |    5 +++++
 debian/control   |    4 ++++
 2 files changed, 9 insertions(+)

diff --git i/debian/changelog w/debian/changelog
index ba837784..36ff98ee 100644
--- i/debian/changelog
+++ w/debian/changelog
@@ -11,6 +11,11 @@ cupt (2.5.4~) UNRELEASED; urgency=low
         the 'no download handlers' error message.
   * po:
     - Added Slovak translation by Ivan Masár. (Closes: #671793)
+  * debian:
+    - control:
+      - [Jonathan Nieder] Suggest installing a download manager in the 'cupt'
+        package description. Thanks to Manuel A. Fernandez Montecelo for the
+        report. (Closes: #672804)
 
  -- Eugene V. Lyubimkin <jackyf@debian.org>  Mon, 07 May 2012 19:00:38 +0300
 
diff --git i/debian/control w/debian/control
index 0efee114..d837bdbf 100644
--- i/debian/control
+++ w/debian/control
@@ -86,6 +86,10 @@ Description: alternative front-end for dpkg -- console interface
   - system snapshots (needs packages 'dpkg-dev' and 'dpkg-repack').
  .
  Its interface is mostly like apt-get/aptitude console interface.
+ .
+ Cupt has built-in support for APT repositories using the file:// or copy://
+ URL schemas. For access to remote repositories using HTTP, install a
+ download method such as libcupt2-0-downloadmethod-curl.
 
 Package: libcupt2-0-downloadmethod-curl
 Architecture: any




Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#672804; Package cupt. (Mon, 14 May 2012 23:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Mon, 14 May 2012 23:39:06 GMT) Full text and rfc822 format available.

Message #40 received at 672804@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
Cc: jackyf@debian.org, 672804@bugs.debian.org
Subject: Re: cupt update fails when no download manager is present
Date: Mon, 14 May 2012 18:34:30 -0500
Jonathan Nieder wrote:

> +    - control:
> +      - [Jonathan Nieder] Suggest installing a download manager in the 'cupt'
> +        package description.

Here "manager" is an odd sort of compromise between 'method' and
'handler'.  It should say 'method'.  Sorry for the confusion.




Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#672804; Package cupt. (Tue, 15 May 2012 09:42:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Tue, 15 May 2012 09:42:29 GMT) Full text and rfc822 format available.

Message #45 received at 672804@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: jackyf@debian.org, 672804@bugs.debian.org
Subject: Re: cupt update fails when no download manager is present
Date: Tue, 15 May 2012 10:38:14 +0100
2012/5/15 Jonathan Nieder <jrnieder@gmail.com>:
> The relevant package is libcupt2-0, and I don't think many people read
> its package description, but that information could go in the cupt
> description anyway.  How about this?

I think that the patch to the source file that you mentioned before
explaining the problem is the best way.

"There is not handler for blah... please install one of these packages
[ ... ] or provide your own."

Or Depend (not Suggest) on one of those packages, and let the people
who want to play around with cupt change the control file to depend on
other download methods.

Anyway, I just wanted to bring the issue to your attention, you know
better than me how to fix it :)

Cheers.




Information forwarded to debian-bugs-dist@lists.debian.org, Cupt developers <cupt-devel@lists.alioth.debian.org>:
Bug#672804; Package cupt. (Tue, 15 May 2012 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf@debian.org>:
Extra info received and forwarded to list. Copy sent to Cupt developers <cupt-devel@lists.alioth.debian.org>. (Tue, 15 May 2012 16:18:03 GMT) Full text and rfc822 format available.

Message #50 received at 672804@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>, 672804@bugs.debian.org
Subject: Re: cupt update fails when no download manager is present
Date: Tue, 15 May 2012 19:16:48 +0300
severity 672804 wishlist
reopen 672804

Hi,

On 2012-05-14 18:07, Jonathan Nieder wrote:
> Maybe the package description should mention that you might want a
> download method if planning to use cupt with a sources.list using
> protocols other than file:// and copy://.

In policy-conforming Debian world we wouldn't need this, but it
doesn't hurt either, so applied for 2.5.4, thanks.

-- 
Eugene V. Lyubimkin aka JackYF, JID: jackyf.devel(maildog)gmail.com
C++/Perl developer, Debian Developer




Severity set to 'wishlist' from 'normal' Request was from "Eugene V. Lyubimkin" <jackyf@debian.org> to control@bugs.debian.org. (Tue, 15 May 2012 16:18:05 GMT) Full text and rfc822 format available.

Bug reopened Request was from "Eugene V. Lyubimkin" <jackyf@debian.org> to control@bugs.debian.org. (Tue, 15 May 2012 16:18:05 GMT) Full text and rfc822 format available.

Reply sent to jackyf@debian.org (Eugene V. Lyubimkin):
You have taken responsibility. (Tue, 15 May 2012 18:06:50 GMT) Full text and rfc822 format available.

Notification sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Bug acknowledged by developer. (Tue, 15 May 2012 18:06:50 GMT) Full text and rfc822 format available.

Message #59 received at 672804-close@bugs.debian.org (full text, mbox):

From: jackyf@debian.org (Eugene V. Lyubimkin)
To: 672804-close@bugs.debian.org
Subject: Bug#672804: fixed in cupt 2.5.4
Date: Tue, 15 May 2012 18:02:46 +0000
Source: cupt
Source-Version: 2.5.4

We believe that the bug you reported is fixed in the latest version of
cupt, which is due to be installed in the Debian FTP archive:

cupt_2.5.4.dsc
  to main/c/cupt/cupt_2.5.4.dsc
cupt_2.5.4.tar.gz
  to main/c/cupt/cupt_2.5.4.tar.gz
cupt_2.5.4_i386.deb
  to main/c/cupt/cupt_2.5.4_i386.deb
libcupt2-0-downloadmethod-curl_2.5.4_i386.deb
  to main/c/cupt/libcupt2-0-downloadmethod-curl_2.5.4_i386.deb
libcupt2-0-downloadmethod-wget_2.5.4_i386.deb
  to main/c/cupt/libcupt2-0-downloadmethod-wget_2.5.4_i386.deb
libcupt2-0_2.5.4_i386.deb
  to main/c/cupt/libcupt2-0_2.5.4_i386.deb
libcupt2-dev_2.5.4_i386.deb
  to main/c/cupt/libcupt2-dev_2.5.4_i386.deb
libcupt2-doc_2.5.4_all.deb
  to main/c/cupt/libcupt2-doc_2.5.4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672804@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eugene V. Lyubimkin <jackyf@debian.org> (supplier of updated cupt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 May 2012 20:32:36 +0300
Source: cupt
Binary: libcupt2-0 libcupt2-dev libcupt2-doc cupt libcupt2-0-downloadmethod-curl libcupt2-0-downloadmethod-wget
Architecture: source i386 all
Version: 2.5.4
Distribution: unstable
Urgency: low
Maintainer: Cupt developers <cupt-devel@lists.alioth.debian.org>
Changed-By: Eugene V. Lyubimkin <jackyf@debian.org>
Description: 
 cupt       - alternative front-end for dpkg -- console interface
 libcupt2-0 - alternative front-end for dpkg -- runtime library
 libcupt2-0-downloadmethod-curl - alternative front-end for dpkg -- libcurl download method
 libcupt2-0-downloadmethod-wget - alternative front-end for dpkg -- wget download method
 libcupt2-dev - alternative front-end for dpkg -- development files
 libcupt2-doc - alternative front-end for dpkg -- library documentation
Closes: 671793 672693 672804
Changes: 
 cupt (2.5.4) unstable; urgency=low
 .
   * lib:
     - system/resolvers/native:
       - Fixed an internal error when a not installed package was considered
         but then autoremoved (under certain conditions). This regression was
         introduced in 2.5.0. Thanks to Karol Kozłowski for the report.
         (Closes: #672693)
     - download/methodfactory:
       - [Jonathan Nieder] 'getDownloadMethodForUri': include the protocol to
         the 'no download handlers' error message.
   * po:
     - Added Slovak translation by Ivan Masár. (Closes: #671793)
   * debian:
     - control:
       - [Jonathan Nieder] Suggest installing a download method in the 'cupt'
         package description. Thanks to Manuel A. Fernandez Montecelo for the
         report. (Closes: #672804)
Checksums-Sha1: 
 8d6ac43cde35b75e72a7f6b1eb47ef8a55103d28 1434 cupt_2.5.4.dsc
 04ee690e68976797585669ae481f20457184e6d8 301952 cupt_2.5.4.tar.gz
 cf8d320f8469960df13516fa07d1afe960d44bc5 780136 libcupt2-0_2.5.4_i386.deb
 faa20d2346c13da4be63f397a4559661e8c89062 52894 libcupt2-dev_2.5.4_i386.deb
 436e5c8a27e9fad482a10524343488c330463df3 255446 libcupt2-doc_2.5.4_all.deb
 74a386865f7194dc6e9117b0d8234bf6d99ee8f0 398290 cupt_2.5.4_i386.deb
 f559a7230775f2036df6cd1acf1a99c78d387d0f 45484 libcupt2-0-downloadmethod-curl_2.5.4_i386.deb
 d5c19e63fbb11cf7f95ece4e92a8117d9e73edc5 49124 libcupt2-0-downloadmethod-wget_2.5.4_i386.deb
Checksums-Sha256: 
 ea42f78f1baa5f71fefb01f41776981572fb7f6995a74e8ae964355a672fbee5 1434 cupt_2.5.4.dsc
 e9f26140a5b0b8f3993ce4410df13ab7fd80ad9087d373f77cde250738d16556 301952 cupt_2.5.4.tar.gz
 71b529cc50143b46f84e1515c3a33b14604f1f06a4537514a5acbc5b1bf5ab0c 780136 libcupt2-0_2.5.4_i386.deb
 4c35f6989eb81fdbd5ea9fa23853c518f773fd87740fbb27a7ee45f2b4089927 52894 libcupt2-dev_2.5.4_i386.deb
 acc6d00ffaf935900ec5cfe18a2a944515622da7b9eb400b34bb954476f5bce4 255446 libcupt2-doc_2.5.4_all.deb
 0756b9d742e6f7494691ed25fa1c1f330c80bac882b69588293e6921f19dd640 398290 cupt_2.5.4_i386.deb
 78a4359c3037c2b2e66133e8206d3d4481a259a0946c14a808b31ba8481c3bfc 45484 libcupt2-0-downloadmethod-curl_2.5.4_i386.deb
 391f8874ac5a0aa98405a390f40174a661c48333e51d7aa7132307e34b8783f9 49124 libcupt2-0-downloadmethod-wget_2.5.4_i386.deb
Files: 
 16ef74afef80b1062471cd33faa5d2c4 1434 admin optional cupt_2.5.4.dsc
 de0e03a3121fb65d15dc1e0138bb9239 301952 admin optional cupt_2.5.4.tar.gz
 6248ce95bc930fe0819f7271757cc9e7 780136 admin optional libcupt2-0_2.5.4_i386.deb
 a9743f4873caf07c94c147949b4fc0f3 52894 libdevel optional libcupt2-dev_2.5.4_i386.deb
 d54556a96700355400d3a59f2c173253 255446 doc optional libcupt2-doc_2.5.4_all.deb
 8d47b0b5198bc9cc609df04bec73e789 398290 admin optional cupt_2.5.4_i386.deb
 e5640b9ad3fdaa0e550cc7d0f4199059 45484 admin optional libcupt2-0-downloadmethod-curl_2.5.4_i386.deb
 f8b6de82f73f64fa1af2c877116a0c9c 49124 admin optional libcupt2-0-downloadmethod-wget_2.5.4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk+ylyYACgkQchorMMFUmYzMQwCgh4UVFXlXmcYj9buY4PVN/Gkx
mq0An1H4gAsssvWa8imbUy2tt1GZNfpo
=ChSh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jun 2012 07:34:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:03:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.